%global momorel   2
%global md5sum_src0 9bc8c3f0e639fdc7b9ed023501308359
Summary: A remote desktop system for GNOME
Name: vino

Version: 2.13.5
Release: %{momorel}m
URL: http://www.gnome.org/
License: GPL
Group: User Interface/Desktops

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.13/%{name}-%{version}.tar.bz2 %{md5sum_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk+-devel >= 2.8.16
BuildRequires: libglade-devel >= 2.5.1
BuildRequires: GConf-devel >= 2.13.5
BuildRequires: libgnomeui-devel >= 2.14.0
BuildRequires: libgcrypt-devel >= 1.2.2-2m
BuildPreReq: openssl-devel >= 0.9.8a

Requires: gtk+ >= 2.8.16
Requires: libglade >= 2.5.1
Requires: GConf >= 2.13.5
Requires: libgnomeui >= 2.14.0
Requires: libgcrypt >= 1.2.2-2m
Prereq: GConf >= 2.12.0

# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=131632
Patch1: vino-nohelp.patch

%description
Vino is a VNC server for GNOME. It allows remote users to
connect to a running GNOME session using VNC.

%prep
%setup -q

%patch1 -p1 -b .nohelp

%build
%configure --enable-session-support \
    --enable-http-server \
    --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

#desktop-file-install --vendor gnome --delete-original                   \
#  --dir %{buildroot}%{_datadir}/control-center-2.0/capplets             \
#  --add-only-show-in GNOME                                              \
#  --add-category X-Momonga-Base                                         \
#  %{buildroot}%{_datadir}/control-center-2.0/capplets/vino-preferences.desktop

# stuff we don't want
#rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/vino/vino-client.*

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="vino-server.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README docs/TODO docs/remote-desktop.txt
%{_datadir}/gnome/vino/*.glade
##%{_datadir}/control-center-2.0/capplets/*.desktop
##%{_datadir}/pixmaps/*.png
%{_datadir}/locale/*/*/*.mo
%{_libdir}/bonobo/servers/*.server
%{_bindir}/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/applications/vino-preferences.desktop
%{_datadir}/icons/hicolor/48x48/apps/gnome-remote-desktop.png

%changelog
* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.13.5-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.13.5-1m)
- update to 2.13.5

* Sun Jan  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.12.0-2m)
- BuildRequires: libgcrypt-devel >= 1.2.2-2m

* Tue Nov 22 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- version up
- GNOME 2.12.1 Desktop

* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.1-1m)
- import from Fedora

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.1-1
- Update to 2.8.1
- Remove backported fixes

* Thu Oct  7 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1.1
- Don't hang with metacity's "reduced resources" mode (#134240) 
- Improve the key repeat rate situation a good deal (#134451)

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0.1-1
- Update to 2.8.0.1

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0
- Remove upstreamed work-without-gnutls patch

* Tue Sep  7 2004 Matthias Clasen <mclasen@redhat.com> 2.7.92-3
- Disable help button until there is help (#131632)
 
* Wed Sep  1 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-2
- Add patch to fix hang without GNU TLS (bug #131354)

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Tue Aug 17 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Mon Aug 16 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-2
- Define libgcrypt_version

* Thu Aug 12 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.4-1
- Update to 2.7.4

* Tue Jul 13 2004 Mark McLoughlin <markmc@redhat.com> 2.7.3.1-1
- Initial build.
